var ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
var z = new ZeedhiAPIConstructor(browser, protractor);
var loginPage = require('../../../../page-objects/login.po.js');
var GrupoFiscalPage = require('../../../../page-objects/Parametrizacao/Documentos Fiscais/Grupo Fiscal/GrupoFiscal.po.js');

describe('Grupo Fiscal', function(){

	beforeEach(function(){
		browser.sleep(5000);
		z.application.openOnContainer('#/');
		loginPage.login('erpmanual@teknisa.com','teknisa');
	});
	
	afterEach(function(){
		z.component.menu.open();
		z.component.menu.clickByLabel('Sair');
		browser.sleep(5000);
		z.component.alert.clickButton('Sim');
		browser.sleep(5000);
	});

	it('Acesso Menu', function(){
		browser.sleep(3000);

		GrupoFiscalPage.abrir();
		GrupoFiscalPage.filtrar();
		expect(z.component.header.getTitle()).toBe('Grupo Fiscal');
	});

	it('Adicionar', function(){
		GrupoFiscalPage.abrir();
		GrupoFiscalPage.filtrar();
		GrupoFiscalPage.Adicionar('01', 'Grupo fiscal 01');
		expect(GrupoFiscalPage.gridHasText('3861781002721585151857', 0,'Grupo fiscal 03', true)).toBe(true);
	});

	it('Alterar', function(){
		browser.sleep(3000);
		GrupoFiscalPage.abrir();
		GrupoFiscalPage.filtroSelecionado('Grupo Fiscal 01');
		GrupoFiscalPage.Alterar('Grupo Fiscal 02');
		
		expect(GrupoFiscalPage.gridHasText('3861781002721585151857', 0,'Grupo Fiscal 02', true)).toBe(true);
	});


	it('Excluir', function(){
		GrupoFiscalPage.abrir();
		GrupoFiscalPage.filtroSelecionado('Grupo Fiscal 02');
		//GrupoFiscalPage.filtrar();
		GrupoFiscalPage.Excluir();

		expect(GrupoFiscalPage.gridHasText('3861781002721585151857', 1,'Grupo Fiscal 02', true)).toBe(false);

	});
	
});